#!/bin/sh

test_cleanup_commit="c9e6df2f877f99cb5f62dcab08bdcd8667377c69"
test_main_branch="TESTBRANCH"
test_second_branch="TESTBRANCH_test"
test_PATH_TO_GIT="/srv/work/mc/git-test"


func_first_commit_prepare(){
    # подготавливаем тестовые данные для второго бранча
    echo 'this is a test' >>Makefile.am
    git add Makefile.am
    git commit -s -m "This is a first test commit into '${test_second_branch}'"
}

func_second_commit_prepare(){
    # подготавливаем тестовые данные для второго бранча
    echo 'this is a test - 2' >>Makefile.am
    git add Makefile.am
    git commit -s -m "This is a second test commit into '${test_second_branch}'"
}


(

pushd $test_PATH_TO_GIT

# есть ли локальный основной бранч
test $(git branch | grep -c ${test_main_branch}) -eq 0 && {
    git checkout master
    git checkout -b ${test_main_branch} origin/${test_main_branch}
}

git checkout ${test_main_branch}
git reset --hard ${test_cleanup_commit}


# есть ли второстепенный бранч (локальный)
test $(git branch | grep -c ${test_second_branch}) -eq 0 && {
    git checkout ${test_main_branch}
    git reset --hard ${test_cleanup_commit}~1
    git branch ${test_second_branch}
    git checkout ${test_main_branch}
    git reset --hard ${test_cleanup_commit}
}


# очищаем второстепенный бранч
git checkout ${test_second_branch}
git reset --hard ${test_cleanup_commit}~1


# очищаем удалённый бранч (если надо)
git checkout ${test_main_branch}
git push origin +${test_main_branch}

popd

) >/dev/null 2>&1
